Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000903bareos-core[All Projects] directorpublic2018-02-02 14:392018-06-22 17:14
Reporterjoergs 
Assigned To 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version17.2.4 
Target Version17.2.6Fixed in Version17.2.6 
Summary0000903: director crashes some time after a reload if Collect Statistic is enabled
DescriptionWhen http://doc.bareos.org/master/html/bareos-manual-main-reference.html#directiveDirStorageCollect%20Statistics [^] is enabled and a reload is performed, subsequent jobs can crash the director.

In the backtrace it is visible, that it crashes because of invalid pointers in the statistics thread.
TagsCollect Statistics
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impactyes
bareos-17.2: actionfixed
bareos-16.2: impactyes
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships
parent of 0000899closedjoergs Bareos crashes with some clients 
parent of 0000695closed Crash in director statistics thread 
child of 0000916resolvedjoergs Release bareos-17.2.6 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2018-02-02 14:39 joergs New Issue
2018-02-02 14:40 joergs Relationship added parent of 0000899
2018-02-02 14:40 joergs bareos-master: impact => yes
2018-02-02 14:40 joergs bareos-master: action => will care
2018-02-02 14:40 joergs bareos-17.2: impact => yes
2018-02-02 14:40 joergs bareos-17.2: action => will care
2018-02-02 14:40 joergs bareos-16.2: impact => yes
2018-02-02 14:41 joergs Status new => confirmed
2018-02-02 14:41 joergs Tag Attached: Collect Statistics
2018-02-02 14:42 joergs Relationship added parent of 0000695
2018-06-08 13:49 joergs Relationship added child of 0000916
2018-06-08 13:50 joergs bareos-master: action will care => fixed
2018-06-08 13:50 joergs bareos-17.2: action will care => fixed
2018-06-08 13:50 joergs Status confirmed => resolved
2018-06-08 13:50 joergs Resolution open => fixed
2018-06-08 13:50 joergs Fixed in Version => 17.2.6
2018-06-08 13:50 joergs Target Version => 17.2.6
2018-06-22 17:14 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker